Index: libfdcore/dict_base_proto.c
===================================================================
--- libfdcore/dict_base_proto.c	(revision 687)
+++ libfdcore/dict_base_proto.c	(revision 705)
@@ -1288,5 +1288,5 @@
 						to be issued in order for access to be granted.
 					*/
-					struct dict_enumval_data 	error_code = { "DIAMETER_MULTI_ROUND_AUTH", 	{ .u32 = 1001 }};
+					struct dict_enumval_data 	error_code = { "DIAMETER_MULTI_ROUND_AUTH", 	{ .u32 = ER_DIAMETER_MULTI_ROUND_AUTH }};
 					CHECK_dict_new( DICT_ENUMVAL, &error_code , type, NULL);
 				}
@@ -1299,5 +1299,5 @@
 						The Request was successfully completed.
 					*/
-					struct dict_enumval_data 	error_code = { "DIAMETER_SUCCESS", 		{ .u32 = 2001 }};
+					struct dict_enumval_data 	error_code = { "DIAMETER_SUCCESS", 		{ .u32 = ER_DIAMETER_SUCCESS }};
 					#if ER_DIAMETER_SUCCESS != 2001
 					#error "ER_DIAMETER_SUCCESS definition mismatch"
@@ -1312,5 +1312,5 @@
 						provide service to the user.
 					*/
-					struct dict_enumval_data 	error_code = { "DIAMETER_LIMITED_SUCCESS", 	{ .u32 = 2002 }};
+					struct dict_enumval_data 	error_code = { "DIAMETER_LIMITED_SUCCESS", 	{ .u32 = ER_DIAMETER_LIMITED_SUCCESS }};
 					CHECK_dict_new( DICT_ENUMVAL, &error_code , type, NULL);
 				}
@@ -1318,5 +1318,5 @@
 			/* Protocol Errors */
 			{
-				/* 3001 */
+				/* 3001 -- might be changed to 5xxx soon */
 				{
 					/*
@@ -1325,6 +1325,5 @@
 						receives an experimental command that it does not understand.
 					*/
-					/* (old): it has been changed to 5019 in 3588bis */
-					struct dict_enumval_data 	error_code = { "DIAMETER_COMMAND_UNSUPPORTED(old)", 	{ .u32 = 3001 }};
+					struct dict_enumval_data 	error_code = { "DIAMETER_COMMAND_UNSUPPORTED", 	{ .u32 = ER_DIAMETER_COMMAND_UNSUPPORTED }};
 					CHECK_dict_new( DICT_ENUMVAL, &error_code , type, NULL);
 				}
@@ -1338,5 +1337,5 @@
 						associated Destination-Realm AVP.
 					*/
-					struct dict_enumval_data 	error_code = { "DIAMETER_UNABLE_TO_DELIVER", 	{ .u32 = 3002 }};
+					struct dict_enumval_data 	error_code = { "DIAMETER_UNABLE_TO_DELIVER", 	{ .u32 = ER_DIAMETER_UNABLE_TO_DELIVER }};
 					CHECK_dict_new( DICT_ENUMVAL, &error_code , type, NULL);
 				}
@@ -1346,8 +1345,5 @@
 						The intended realm of the request is not recognized.
 					*/
-					struct dict_enumval_data 	error_code = { "DIAMETER_REALM_NOT_SERVED", 	{ .u32 = 3003 }};
-					#if ER_DIAMETER_REALM_NOT_SERVED != 3003
-					#error "ER_DIAMETER_REALM_NOT_SERVED definition mismatch"
-					#endif
+					struct dict_enumval_data 	error_code = { "DIAMETER_REALM_NOT_SERVED", 	{ .u32 = ER_DIAMETER_REALM_NOT_SERVED }};
 					CHECK_dict_new( DICT_ENUMVAL, &error_code , type, NULL);
 				}
@@ -1360,8 +1356,5 @@
 						service.
 					*/
-					struct dict_enumval_data 	error_code = { "DIAMETER_TOO_BUSY", 		{ .u32 = 3004 }};
-					#if ER_DIAMETER_TOO_BUSY != 3004
-					#error "ER_DIAMETER_TOO_BUSY definition mismatch"
-					#endif
+					struct dict_enumval_data 	error_code = { "DIAMETER_TOO_BUSY", 		{ .u32 = ER_DIAMETER_TOO_BUSY }};
 					CHECK_dict_new( DICT_ENUMVAL, &error_code , type, NULL);
 				}
@@ -1374,5 +1367,5 @@
 						identified a configuration problem.
 					*/
-					struct dict_enumval_data 	error_code = { "DIAMETER_LOOP_DETECTED", 	{ .u32 = 3005 }};
+					struct dict_enumval_data 	error_code = { "DIAMETER_LOOP_DETECTED", 	{ .u32 = ER_DIAMETER_LOOP_DETECTED }};
 					CHECK_dict_new( DICT_ENUMVAL, &error_code , type, NULL);
 				}
@@ -1386,8 +1379,5 @@
 						be present.
 					*/
-					struct dict_enumval_data 	error_code = { "DIAMETER_REDIRECT_INDICATION", 	{ .u32 = 3006 }};
-					#if ER_DIAMETER_REDIRECT_INDICATION != 3006
-					#error "ER_DIAMETER_REDIRECT_INDICATION definition mismatch"
-					#endif
+					struct dict_enumval_data 	error_code = { "DIAMETER_REDIRECT_INDICATION", 	{ .u32 = ER_DIAMETER_REDIRECT_INDICATION }};
 					CHECK_dict_new( DICT_ENUMVAL, &error_code , type, NULL);
 				}
@@ -1397,8 +1387,8 @@
 						A request was sent for an application that is not supported.
 					*/
-					struct dict_enumval_data 	error_code = { "DIAMETER_APPLICATION_UNSUPPORTED",	{ .u32 = 3007 }};
+					struct dict_enumval_data 	error_code = { "DIAMETER_APPLICATION_UNSUPPORTED",	{ .u32 = ER_DIAMETER_APPLICATION_UNSUPPORTED }};
 					CHECK_dict_new( DICT_ENUMVAL, &error_code , type, NULL);
 				}
-				/* 3008 */
+				/* 3008 -- will change to 5xxx soon */
 				{
 					/*
@@ -1407,9 +1397,8 @@
 						inconsistent with the command code's definition.
 					*/
-					/* (old): it has been changed in 3588bis */
-					struct dict_enumval_data 	error_code = { "DIAMETER_INVALID_HDR_BITS(old)", 	{ .u32 = 3008 }};
+					struct dict_enumval_data 	error_code = { "DIAMETER_INVALID_HDR_BITS", 	{ .u32 = ER_DIAMETER_INVALID_HDR_BITS }};
 					CHECK_dict_new( DICT_ENUMVAL, &error_code , type, NULL);
 				}
-				/* 3009 */
+				/* 3009 -- will change to 5xxx soon */
 				{
 					/*
@@ -1418,34 +1407,13 @@
 						AVP's definition.
 					*/
-					/* (old): it has been changed in 3588bis */
-					struct dict_enumval_data 	error_code = { "DIAMETER_INVALID_AVP_BITS(old)", 	{ .u32 = 3009 }};
+					struct dict_enumval_data 	error_code = { "DIAMETER_INVALID_AVP_BITS", 	{ .u32 = ER_DIAMETER_INVALID_AVP_BITS }};
 					CHECK_dict_new( DICT_ENUMVAL, &error_code , type, NULL);
 				}
-				/* 3010 */
+				/* 3010  -- will change to 5xxx soon */
 				{
 					/*
 						 A CER was received from an unknown peer.
 					*/
-					/* (old): it has been changed in 3588bis */
-					struct dict_enumval_data 	error_code = { "DIAMETER_UNKNOWN_PEER(old)", 	{ .u32 = 3010 }};
-					CHECK_dict_new( DICT_ENUMVAL, &error_code , type, NULL);
-				}
-				/* 3011 */
-				{
-					/*
-						This error is returned when a reserved bit in the Diameter header
-						is set to one (1) or the bits in the Diameter header defined in
-						Sec 3 are set incorrectly.
-					*/
-					struct dict_enumval_data 	error_code = { "DIAMETER_INVALID_BIT_IN_HEADER",	{ .u32 = 3011 }};
-					CHECK_dict_new( DICT_ENUMVAL, &error_code , type, NULL);
-				}
-				/* 3012 */
-				{
-					/*
-						This error is returned when a request is received with an invalid
-						message length.
-					*/
-					struct dict_enumval_data 	error_code = { "DIAMETER_INVALID_MESSAGE_LENGTH",	{ .u32 = 3012 }};
+					struct dict_enumval_data 	error_code = { "DIAMETER_UNKNOWN_PEER", 	{ .u32 = ER_DIAMETER_UNKNOWN_PEER }};
 					CHECK_dict_new( DICT_ENUMVAL, &error_code , type, NULL);
 				}
@@ -1460,5 +1428,5 @@
 						be tried after prompting the user for a new password.
 					*/
-					struct dict_enumval_data 	error_code = { "DIAMETER_AUTHENTICATION_REJECTED", 	{ .u32 = 4001 }};
+					struct dict_enumval_data 	error_code = { "DIAMETER_AUTHENTICATION_REJECTED", 	{ .u32 = ER_DIAMETER_AUTHENTICATION_REJECTED }};
 					CHECK_dict_new( DICT_ENUMVAL, &error_code , type, NULL);
 				}
@@ -1469,5 +1437,5 @@
 						commit it to stable storage due to a temporary lack of space.
 					*/
-					struct dict_enumval_data 	error_code = { "DIAMETER_OUT_OF_SPACE", 		{ .u32 = 4002 }};
+					struct dict_enumval_data 	error_code = { "DIAMETER_OUT_OF_SPACE", 		{ .u32 = ER_DIAMETER_OUT_OF_SPACE }};
 					CHECK_dict_new( DICT_ENUMVAL, &error_code , type, NULL);
 				}
@@ -1478,5 +1446,5 @@
 						has therefore disconnected the transport connection.
 					*/
-					struct dict_enumval_data 	error_code = { "ELECTION_LOST", 			{ .u32 = 4003 }};
+					struct dict_enumval_data 	error_code = { "ELECTION_LOST", 			{ .u32 = ER_ELECTION_LOST }};
 					CHECK_dict_new( DICT_ENUMVAL, &error_code , type, NULL);
 				}
@@ -1492,5 +1460,5 @@
 						AVP AVP containing the AVPs that caused the failure.
 					*/
-					struct dict_enumval_data 	error_code = { "DIAMETER_AVP_UNSUPPORTED", 	{ .u32 = 5001 }};
+					struct dict_enumval_data 	error_code = { "DIAMETER_AVP_UNSUPPORTED", 	{ .u32 = ER_DIAMETER_AVP_UNSUPPORTED }};
 					CHECK_dict_new( DICT_ENUMVAL, &error_code , type, NULL);
 				}
@@ -1500,5 +1468,5 @@
 						The request contained an unknown Session-Id.
 					*/
-					struct dict_enumval_data 	error_code = { "DIAMETER_UNKNOWN_SESSION_ID", 	{ .u32 = 5002 }};
+					struct dict_enumval_data 	error_code = { "DIAMETER_UNKNOWN_SESSION_ID", 	{ .u32 = ER_DIAMETER_UNKNOWN_SESSION_ID }};
 					CHECK_dict_new( DICT_ENUMVAL, &error_code , type, NULL);
 				}
@@ -1510,5 +1478,5 @@
 						to the user.
 					*/
-					struct dict_enumval_data 	error_code = { "DIAMETER_AUTHORIZATION_REJECTED",{ .u32 = 5003 }};
+					struct dict_enumval_data 	error_code = { "DIAMETER_AUTHORIZATION_REJECTED",{ .u32 = ER_DIAMETER_AUTHORIZATION_REJECTED }};
 					CHECK_dict_new( DICT_ENUMVAL, &error_code , type, NULL);
 				}
@@ -1520,5 +1488,5 @@
 						the offending AVPs within a Failed-AVP AVP.
 					*/
-					struct dict_enumval_data 	error_code = { "DIAMETER_INVALID_AVP_VALUE",	{ .u32 = 5004 }};
+					struct dict_enumval_data 	error_code = { "DIAMETER_INVALID_AVP_VALUE",	{ .u32 = ER_DIAMETER_INVALID_AVP_VALUE }};
 					CHECK_dict_new( DICT_ENUMVAL, &error_code , type, NULL);
 				}
@@ -1533,5 +1501,5 @@
 						should be of correct minimum length and contain zeroes.
 					*/
-					struct dict_enumval_data 	error_code = { "DIAMETER_MISSING_AVP",		{ .u32 = 5005 }};
+					struct dict_enumval_data 	error_code = { "DIAMETER_MISSING_AVP",		{ .u32 = ER_DIAMETER_MISSING_AVP }};
 					CHECK_dict_new( DICT_ENUMVAL, &error_code , type, NULL);
 				}
@@ -1544,5 +1512,5 @@
 						attempts to establish a second PPP connection.
 					*/
-					struct dict_enumval_data 	error_code = { "DIAMETER_RESOURCES_EXCEEDED",	{ .u32 = 5006 }};
+					struct dict_enumval_data 	error_code = { "DIAMETER_RESOURCES_EXCEEDED",	{ .u32 = ER_DIAMETER_RESOURCES_EXCEEDED }};
 					CHECK_dict_new( DICT_ENUMVAL, &error_code , type, NULL);
 				}
@@ -1555,5 +1523,5 @@
 						AVPs that contradicted each other.
 					*/
-					struct dict_enumval_data 	error_code = { "DIAMETER_CONTRADICTING_AVPS",	{ .u32 = 5007 }};
+					struct dict_enumval_data 	error_code = { "DIAMETER_CONTRADICTING_AVPS",	{ .u32 = ER_DIAMETER_CONTRADICTING_AVPS }};
 					CHECK_dict_new( DICT_ENUMVAL, &error_code , type, NULL);
 				}
@@ -1565,5 +1533,5 @@
 						offending AVP.
 					*/
-					struct dict_enumval_data 	error_code = { "DIAMETER_AVP_NOT_ALLOWED",	{ .u32 = 5008 }};
+					struct dict_enumval_data 	error_code = { "DIAMETER_AVP_NOT_ALLOWED",	{ .u32 = ER_DIAMETER_AVP_NOT_ALLOWED }};
 					CHECK_dict_new( DICT_ENUMVAL, &error_code , type, NULL);
 				}
@@ -1576,5 +1544,5 @@
 						the offending AVP that exceeded the maximum number of occurrences
 					*/
-					struct dict_enumval_data 	error_code = { "DIAMETER_AVP_OCCURS_TOO_MANY_TIMES",{ .u32 = 5009 }};
+					struct dict_enumval_data 	error_code = { "DIAMETER_AVP_OCCURS_TOO_MANY_TIMES",{ .u32 = ER_DIAMETER_AVP_OCCURS_TOO_MANY_TIMES }};
 					CHECK_dict_new( DICT_ENUMVAL, &error_code , type, NULL);
 				}
@@ -1586,5 +1554,5 @@
 						applications that it does not support.
 					*/
-					struct dict_enumval_data 	error_code = { "DIAMETER_NO_COMMON_APPLICATION",{ .u32 = 5010 }};
+					struct dict_enumval_data 	error_code = { "DIAMETER_NO_COMMON_APPLICATION",{ .u32 = ER_DIAMETER_NO_COMMON_APPLICATION }};
 					CHECK_dict_new( DICT_ENUMVAL, &error_code , type, NULL);
 				}
@@ -1595,5 +1563,5 @@
 						number is unsupported.
 					*/
-					struct dict_enumval_data 	error_code = { "DIAMETER_UNSUPPORTED_VERSION",	{ .u32 = 5011 }};
+					struct dict_enumval_data 	error_code = { "DIAMETER_UNSUPPORTED_VERSION",	{ .u32 = ER_DIAMETER_UNSUPPORTED_VERSION }};
 					CHECK_dict_new( DICT_ENUMVAL, &error_code , type, NULL);
 				}
@@ -1604,8 +1572,8 @@
 						reasons.
 					*/
-					struct dict_enumval_data 	error_code = { "DIAMETER_UNABLE_TO_COMPLY",	{ .u32 = 5012 }};
+					struct dict_enumval_data 	error_code = { "DIAMETER_UNABLE_TO_COMPLY",	{ .u32 = ER_DIAMETER_UNABLE_TO_COMPLY }};
 					CHECK_dict_new( DICT_ENUMVAL, &error_code , type, NULL);
 				}
-				/* 5013 */
+				/* 5013 -- will change to 3xxx */
 				{
 					/*
@@ -1613,6 +1581,5 @@
 						header is set to one (1).
 					*/
-					/* (old): it has been changed in 3588bis */
-					struct dict_enumval_data 	error_code = { "DIAMETER_INVALID_BIT_IN_HEADER(old)", 	{ .u32 = 5013 }};
+					struct dict_enumval_data 	error_code = { "DIAMETER_INVALID_BIT_IN_HEADER", 	{ .u32 = ER_DIAMETER_INVALID_BIT_IN_HEADER }};
 					CHECK_dict_new( DICT_ENUMVAL, &error_code , type, NULL);
 				}
@@ -1634,8 +1601,8 @@
 						AVP header with zero up to the minimum AVP header length.
 					*/
-					struct dict_enumval_data 	error_code = { "DIAMETER_INVALID_AVP_LENGTH",	{ .u32 = 5014 }};
+					struct dict_enumval_data 	error_code = { "DIAMETER_INVALID_AVP_LENGTH",	{ .u32 = ER_DIAMETER_INVALID_AVP_LENGTH }};
 					CHECK_dict_new( DICT_ENUMVAL, &error_code , type, NULL);
 				}
-				/* 5015 */
+				/* 5015 -- will change to 3xxx */
 				{
 					/*
@@ -1643,6 +1610,5 @@
 						message length.
 					*/
-					/* (old): it has been changed in 3588bis */
-					struct dict_enumval_data 	error_code = { "DIAMETER_INVALID_MESSAGE_LENGTH(old)", 	{ .u32 = 5015 }};
+					struct dict_enumval_data 	error_code = { "DIAMETER_INVALID_MESSAGE_LENGTH", 	{ .u32 = ER_DIAMETER_INVALID_MESSAGE_LENGTH }};
 					CHECK_dict_new( DICT_ENUMVAL, &error_code , type, NULL);
 				}
@@ -1655,6 +1621,5 @@
 						AVP.
 					*/
-					/* (old): it has been changed in 3588bis */
-					struct dict_enumval_data 	error_code = { "DIAMETER_INVALID_AVP_BIT_COMBO(old)", 	{ .u32 = 5016 }};
+					struct dict_enumval_data 	error_code = { "DIAMETER_INVALID_AVP_BIT_COMBO", 	{ .u32 = ER_DIAMETER_INVALID_AVP_BIT_COMBO }};
 					CHECK_dict_new( DICT_ENUMVAL, &error_code , type, NULL);
 				}
@@ -1667,43 +1632,5 @@
 						Result-Code AVP set to DIAMETER_NO_COMMON_SECURITY.
 					*/
-					struct dict_enumval_data 	error_code = { "DIAMETER_NO_COMMON_SECURITY",	{ .u32 = 5017 }};
-					CHECK_dict_new( DICT_ENUMVAL, &error_code , type, NULL);
-				}
-				/* 5018 */
-				{
-					/*
-						A CER was received from an unknown peer.
-					*/
-					struct dict_enumval_data 	error_code = { "DIAMETER_UNKNOWN_PEER",		{ .u32 = 5018 }};
-					CHECK_dict_new( DICT_ENUMVAL, &error_code , type, NULL);
-				}
-				/* 5019 */
-				{
-					/*
-						The Request contained a Command-Code that the receiver did not
-						recognize or support.  This MUST be used when a Diameter node
-						receives an experimental command that it does not understand.
-					*/
-					struct dict_enumval_data 	error_code = { "DIAMETER_COMMAND_UNSUPPORTED",	{ .u32 = 5019 }};
-					CHECK_dict_new( DICT_ENUMVAL, &error_code , type, NULL);
-				}
-				/* 5020 */
-				{
-					/*
-						A request was received whose bits in the Diameter header were
-						either set to an invalid combination, or to a value that is
-						inconsistent with the command code's definition.
-					*/
-					struct dict_enumval_data 	error_code = { "DIAMETER_INVALID_HDR_BITS",	{ .u32 = 5020 }};
-					CHECK_dict_new( DICT_ENUMVAL, &error_code , type, NULL);
-				}
-				/* 5021 */
-				{
-					/*
-						A request was received that included an AVP whose flag bits are
-						set to an unrecognized value, or that is inconsistent with the
-						AVP's definition.
-					*/
-					struct dict_enumval_data 	error_code = { "DIAMETER_INVALID_AVP_BITS",	{ .u32 = 5021 }};
+					struct dict_enumval_data 	error_code = { "DIAMETER_NO_COMMON_SECURITY",	{ .u32 = ER_DIAMETER_NO_COMMON_SECURITY }};
 					CHECK_dict_new( DICT_ENUMVAL, &error_code , type, NULL);
 				}
